Bug 445691 - rdesktop 1.5.0 crashes when using sound
rdesktop 1.5.0 crashes when using sound
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rdesktop (Show other bugs)
4.4
i386 Linux
low Severity medium
: rc
: ---
Assigned To: Søren Sandmann Pedersen
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-08 11:29 EDT by Harald Milz
Modified: 2014-06-18 05:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:07:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Milz 2008-05-08 11:29:03 EDT
Description of problem:

rdesktop session freezes when using sound. 

Version-Release number of selected component (if applicable):
rdesktop-1.5.0-0.el4.rf
libao-0.8.5-2.EL.0


How reproducible:

Within a NoMachine environment, rdesktop is invoked with "-r sound:local". This
frequently results in loads of "Bad file descriptor" messages, and the RDP
session freezes and needs to be terminated with Ctrl-C. For a NoMachine setup
accessing Windows terminal servers, this is absolutely critical. But I doubt if
this is specific for NoMachine. 



Steps to Reproduce:
1. run "rdesktop -r sound:local <wts_name>"
2. shuffle some data
3. 
  
Actual results:

loads of "Bad file descriptor" messages, session freezes, needs to be Ctrl-C'd.

Expected results:

No such messages, no freeze. 

Additional info:

WTS was Windows XP SP2. 

This appears to be a known rdesktop problem (see for example 
http://www.nabble.com/still-experiencing-random-rdp-freezes-td15306588.html, and
I get it on Ubuntu 7.10 as well, package rdesktop-1.5.0-2). Maybe Red Hat can
help fixing it.
Comment 1 Jason 2008-09-22 08:26:35 EDT
I complained about this in Fedora 7, and even submitted a patch based on the reading I did and the patches others created..... 

Even if my patch is no good, others have written patches as well. Links from the bug. My advice is to adjust the source yourself and rebuild the rpm.

https://bugzilla.redhat.com/show_bug.cgi?id=251084
Comment 2 Jiri Pallich 2012-06-20 12:07:46 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.